Bug 1571646 - Update HostnameFormatDefault files to match overcloud-compute-%index% [NEEDINFO]
Summary: Update HostnameFormatDefault files to match overcloud-compute-%index%
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 12.0 (Pike)
Assignee: Jose Luis Franco
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 09:23 UTC by Jose Luis Franco
Modified: 2018-08-20 13:00 UTC (History)
3 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.9-13.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 12:59:48 UTC
jamsmith: needinfo? (jfrancoa)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:00:57 UTC

Description Jose Luis Franco 2018-04-25 09:23:19 UTC
Description of problem:
After updating HostnameFormatDefault variable in rhos13 https://bugzilla.redhat.com/show_bug.cgi?id=1563866 it was observed that the generated environment files should match the same HostnameFormatDefault as defined in roles_data.yml and roles/Compute.yaml. This wasn't caught in rhos12.0 as the pep8 validations have been improved in rhos13.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 Gurenko Alex 2018-07-23 06:19:41 UTC
Puddle of 2018-07-17.1 (latest passed_phase2) contains openstack-tripleo-heat-templates-7.0.9-8.el7ost.noarch which does not have the fix.

Comment 7 Gurenko Alex 2018-07-24 12:02:05 UTC
Verified on puddle 2018-07-20.1

openstack-tripleo-heat-templates-7.0.12-3.el7ost.noarch

Comment 9 errata-xmlrpc 2018-08-20 12:59:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.